X509_INFO_NEW(3)

NAME
X509_INFO_new, X509_INFO_free - X.509 certificate wrapper object

SYNOPSIS
#include <openssl/x509.h>
X509_INFO *
X509_INFO_new(void);
void
X509_INFO_free(X509_INFO *info);

DESCRIPTION
X509_INFO is a reference-counted wrapper object storing a pointer to an X.509 certificate together with pointers to the associated private key and to an associated certificate revocation list. It is for example used internally by X509_load_cert_crl_file(3).

X509_INFO_new() allocates and initializes an empty X509_INFO object and sets its reference count to 1.

X509_INFO_free() decrements the reference count of info by 1. If the reference count reaches 0, it frees all referenced objects as well as the storage needed for info itself. If info is a NULL pointer, no action occurs.

RETURN VALUES
X509_INFO_new() returns the newly allocated X509_INFO object or NULL if an error occurs.

SEE ALSO
X509_CRL_new(3), X509_new(3)

HISTORY
X509_INFO_new() and X509_INFO_free() first appeared in SSLeay 0.5.1 and have been available since OpenBSD 2.4.